Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface EventPortlet

All Known Implementing Classes:
  GenericPortlet

    public interface EventPortlet

The `EventPortlet` interface allows portlets receiving events.

Events are part of the action processing and must be finished before the rendering phase can start. Portlets can receive events issued by other portlets or portlet container defined events.

Portlets should declare the events it would like to receive via the `supported-processing-event` tag and events published via the `supported-publishing-event` tag in the portlet deployment descriptor.

The event model is a loosely coupled model where the wiring between published and receiving events is done at the portal / portlet container level.

Since:
  2.0

Method Summary
`void` | `processEvent(EventRequest request, EventResponse response)` Called by the portlet container requesting the portlet to process a specific event.

Method Detail

### processEvent

    void processEvent(EventRequest request,
                      EventResponse response)
                      throws PortletException,
                             IOException

  Called by the portlet container requesting the portlet to process a specific event.

  Parameters
    `request` - the event request
    `response` - the event response
  Throws
    `PortletException` - if the portlet has problems fulfilling the request
    `UnavailableException` - if the portlet is unavailable to process the event at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons
    `IOException` - if the streaming causes an I/O problem

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.